<?php
/**
* 404 Page Settings.
*
* @package Vacation Rental Booking
*/

$vacation_rental_booking_default = vacation_rental_booking_get_default_theme_options();

$wp_customize->add_section( 'vacation_rental_booking_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'vacation-rental-booking' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'vacation_rental_booking_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'vacation_rental_booking_404_main_title',
    array(
        'default'           => $vacation_rental_booking_default['vacation_rental_booking_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'vacation_rental_booking_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'vacation-rental-booking' ),
        'section'  => 'vacation_rental_booking_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'vacation_rental_booking_404_subtitle_one',
    array(
        'default'           => $vacation_rental_booking_default['vacation_rental_booking_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'vacation_rental_booking_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'vacation-rental-booking' ),
        'section'  => 'vacation_rental_booking_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'vacation_rental_booking_404_para_one',
    array(
        'default'           => $vacation_rental_booking_default['vacation_rental_booking_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'vacation_rental_booking_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'vacation-rental-booking' ),
        'section'  => 'vacation_rental_booking_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'vacation_rental_booking_404_subtitle_two',
    array(
        'default'           => $vacation_rental_booking_default['vacation_rental_booking_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'vacation_rental_booking_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'vacation-rental-booking' ),
        'section'  => 'vacation_rental_booking_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'vacation_rental_booking_404_para_two',
    array(
        'default'           => $vacation_rental_booking_default['vacation_rental_booking_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'vacation_rental_booking_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'vacation-rental-booking' ),
        'section'  => 'vacation_rental_booking_404_page_settings',
        'type'     => 'text',
    )
);